HG-FAST-EXPORT(1)

NAME
hg-fast-export - import hg repository into git

SYNOPSIS
hg-fast-export [--quiet] [-r <repo>] [--force] [-m <max>] [-s] [-A <file>] [-M <name>] [-o <name>]

DESCRIPTION
Import hg repository <repo> up to either tip or <max> If <repo> is omitted, use last hg repository as obtained from state file, GIT_DIR/hg2git-state by default.

Note: The argument order matters.

OPTIONS

-m  Maximum revision to import

--quiet Passed to git-fast-import(1)

-s  Enable parsing Signed-off-by lines

-A  Read author map from file (Same as in git-svnimport(1) and git-cvsimport(1))

-r  Mercurial repository to import

-M  Set the default branch name (default to 'master')

-o  Use <name> as branch namespace to track upstream (eg 'origin')

--force
    Ignore validation errors when converting, and pass --force to git-fast-import(1)